Package wx :: Class BitmapDataObject

[frames | no frames]

## Type BitmapDataObject

      object --+
               |
      DataObject --+
                   |
    DataObjectSimple --+
                       |
                      BitmapDataObject

Known Subclasses:
  `PyBitmapDataObject`

wx.BitmapDataObject is a specialization of wxDataObject for bitmap data. It can be used without change to paste data into the `wx.Clipboard` or a `wx.DropSource`.

See Also:

`wx.PyBitmapDataObject` if you wish to override `GetBitmap` to increase efficiency.

Method Summary
BitmapDataObject | ``__init__`(self, bitmap)` Constructor, optionally passing a bitmap (otherwise use `SetBitmap` later).
Bitmap | ``GetBitmap`(self)` Returns the bitmap associated with the data object.
| ``SetBitmap`(self, bitmap)` Sets the bitmap associated with the data object.

Property Summary
| `Bitmap`: See `GetBitmap` and `SetBitmap`
| `thisown`: The membership flag

Class Variable Summary

Method Details

### __init__(self, bitmap=wxNullBitmap)
(Constructor)

Constructor, optionally passing a bitmap (otherwise use `SetBitmap` later).

  Parameters:
    `bitmap`
    (type=Bitmap)

  Returns:
    BitmapDataObject
  Overrides:
    `wx.DataObjectSimple.__init__`

### GetBitmap(self)

Returns the bitmap associated with the data object. You may wish to override this method (by deriving from `wx.PyBitmapDataObject`) when offering data on-demand, but this is not required by wxWidgets' internals. Use this method to get data in bitmap form from the `wx.Clipboard`.

  Returns:
    Bitmap

### SetBitmap(self, bitmap)

Sets the bitmap associated with the data object. This method is called when the data object receives data. Usually there will be no reason to override this function.

  Parameters:
    `bitmap`
    (type=Bitmap)

Property Details

### Bitmap

See `GetBitmap` and `SetBitmap`

  Get Method:
    `GetBitmap`(self)
  Set Method:
    `SetBitmap`(self, bitmap)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:49 2007 | http://epydoc.sf.net